
TYPO3.Flow - Bug # 45629

Status: Resolved Priority: Should have
Author: Christian Müller Category: Security
Created: 2013-02-20 Assigned To:
Updated: 2013-03-20 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: (any)
Subject: expirationDate of Account cannot be set to NULL after a \DateTime has been set
Description

After setting an expirationDate you cannot unset it anymore.

Associated revisions
Revision f350533c - 2013-02-20 08:35 - Philipp Maier

[BUGFIX] Account's expirationDate can be set NULL

After setting the expirationDate once, it's impossible to set it
NULL again due to the typehint in the function parameters.

Change-Id: I28beaf55b1b62cf93ec66a048dac860fa89686fd
Releases: master, 2.0
Fixes: #45629

Revision 82b7b0b7 - 2013-03-20 10:22 - Philipp Maier

[BUGFIX] Account's expirationDate can be set NULL

After setting the expirationDate once, it's impossible to set it
NULL again due to the typehint in the function parameters.

Change-Id: I28beaf55b1b62cf93ec66a048dac860fa89686fd
Releases: master, 2.0
Fixes: #45629

History
#1 - 2013-02-20 08:36 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18364

#2 - 2013-02-25 22:37 - Philipp Maier
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f350533c6f15e35dacd038e601e56443eae14a97.

#3 - 2013-03-20 10:22 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19071

#4 - 2013-03-20 10:36 - Philipp Maier
- Status changed from Under Review to Resolved

Applied in changeset commit:82b7b0b76e6fad97ec38d81ddd3da2359e18ae1d.
